package autocode

import (
	"github.com/flipped-aurora/gin-vue-admin/server/api/v1"
	"github.com/flipped-aurora/gin-vue-admin/server/middleware"
	"github.com/gin-gonic/gin"
)

type ContentRouter struct {
}

// InitContentRouter 初始化 Content 路由信息
func (s *ContentRouter) InitContentRouter(Router *gin.RouterGroup) {
	contentRouter := Router.Group("content").Use(middleware.OperationRecord())
	var contentApi = v1.ApiGroupApp.AutoCodeApiGroup.ContentApi
	{
		contentRouter.POST("createContent", contentApi.CreateContent)             // 新建Content
		contentRouter.DELETE("deleteContent", contentApi.DeleteContent)           // 删除Content
		contentRouter.DELETE("deleteContentByIds", contentApi.DeleteContentByIds) // 批量删除Content
		contentRouter.PUT("updateContent", contentApi.UpdateContent)              // 更新Content
		contentRouter.GET("getContentList", contentApi.GetContentList)            // 获取Content列表
	}
}

func (s *ContentRouter) InitContentPRouter(Router *gin.RouterGroup) {
	contentRouter := Router.Group("content").Use(middleware.OperationRecord())
	var contentApi = v1.ApiGroupApp.AutoCodeApiGroup.ContentApi
	{
		contentRouter.GET("findContent", contentApi.FindContent) // 根据ID获取Content
	}
}
